# HECO Chain

## Introduction to HECO Chain
HECO Chain (Heco) is a decentralized, high-efficiency and energy-saving public chain. It is compatible with smart contracts and supports high- performance transactions. The endogenous token of Heco is HT and it adopts the HPoS consensus mechanism. Heco will continue to improve the efficiency of Ethereum by Layer2, which will supplement and empower the Ethereum ecosystem.

## Declaration
To help developers’ evolvement at every stage 

## Vision
Technological innovation is the driving force behind the advancement of the blockchain industry, but many innovative projects have been misunderstood and ignored at their early stages. We have witnessed the growth process of great projects. Recalling that Ethereum and Polkadot were questioned as altcoins in the early days, they all went through difficult times. Therefore, Heco's mission is not only a public chain, but also to focus on the discovery and support of high-potential developers and innovative projects. Relying on the world's largest trading ecosystem, Heco is committed to becoming the birthplace of innovative technologies and innovative businesses, and building a complete ecological loop of technology development, application promotion, and trading.

## Heco’s Performance
- TPS: 2000+
- Average block interval: 3s

## Consensus Mechanism
HPoS consensus mechanism: it has the characteristics of low transaction cost, low transaction delay, and high transaction concurrency.

The maximum number of validators supported is 21.

## Economic Model 
The endogenous token on the chain is HT; the transactions consume HT as gas fee.

Miners pledge HT to become validator nodes. The reward of nodes is gas fee, which is distributed according to the mortgage proportion. 

## Cross-Chain
Assets such as BTC, ETH and stable coins can be mapped to Heco by an asset bridge. The realization method is to lock a certain amount of tokens on the original chain then generate a corresponding number of tokens on Heco. 

Heco encourages developers to provide more decentralized cross-chain solution.  

## Meta Transaction Function
The meta-transaction function is supported, which allows users to reduce gas fees step-wise, and Heco will cover the payment of the reduced part. The meta-transaction function allows to minimize the migration cost of DApp developers, as well as to effectively reduce the cost of DApp users.

## Heco Technical Characteristics
- An open and decentralized network to maintain the security of the network and assets.
- Support the programmability of EVM, the compatibility of smart contracts to reduce development or migration costs.
- Meta-transaction function: gas fee reduction, effectively reducing the cost of developers and users on the chain.
- Support cross-chain asset transfer to optimize users’ experience.

## Four Stages of Heco

<table >
    <tr style="background:rgba(0,0,0,0)" ><th colspan=5>Heco Technical Route</th> </tr>
    <tr style="background:rgba(0,0,0,0)" >
<th > Stage </th><th> Features </th><th> Time </th><th> Sub Stage </th><th> Technical Points </th>
</tr>
<tr style="background:rgba(0,0,0,0)" >
<tr style="background:rgba(0,0,0,0)" ><td rowspan=9 >Tinder</td><td rowspan=9 >
The initial version of Heco.

The system is stable and easy to use.

Developers can develop and promote Dapp at low cost.

Users can participate in Dapp on Heco with a low threshold.</td><td rowspan=9 >2020 Q4-2021 Q1</td><td rowspan=3 >Public Beta</td><td>Higher transaction performance</td></tr>
<tr style="background:rgba(0,0,0,0)" ><td>Lower transaction costs</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Meta transaction subsidy</td></tr>
<tr style="background:rgba(0,0,0,0)"> <td rowspan=3 >Node Election</td><td>More decentralized and safer</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Complete mainstream assets</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Basic tools in place</td></tr>
<tr style="background:rgba(0,0,0,0)"> <td rowspan=3 >Ecosystem Incubation</td><td>Technical service systemization</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Basic tool customization</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Convenient asset transfer</td></tr>

<tr style="background:rgba(0,0,0,0)"><td rowspan=5 > Spark </td><td rowspan=5 > 
The protocol is further optimized. 

Heco will take the mission of connecting CeFi and DeFi, 

allowing more users to use DeFi applications at a low threshold.  </td> <td rowspan=5 >2021 Q3 </td> <td rowspan=5 > To be announced  </td> <td>Complete developer tools</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Complete developer forum, blog, and FAQ information</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Chain ecological infrastructure booms</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Innovative open ID</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Personalized portal accurately matches users and Dapps</td></tr>

<tr style="background:rgba(0,0,0,0)"><td rowspan=3>Flame</td> <td rowspan=3>

Enable Layer2 technology.
Expand performance while retaining the decentralized advantages of distributed protocols.</td><td rowspan=3>2022 Q2</td><td rowspan=3>To be announced</td><td>Application of Layer2</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Cross-chain interoperability protocol</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Cross-chain interoperability integration</td></tr>
<tr style="background:rgba(0,0,0,0)"><td rowspan=5>Blaze</td> <td rowspan=5>


Landing of large-scale commercial applications. 
Support a variety of traditional businesses to run smoothly on the chain</td> <td rowspan=5>2023 Q1</td> <td rowspan=5>To be announced</td><td>Multiple virtual machine s supported</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Multiple zero-knowledge proofs and privacy protection capabilities</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Multiple signature schemes</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Storage compression and expansion solution</td></tr>
<tr style="background:rgba(0,0,0,0)"><td>Multi-dimensional sharding scheme</td></tr>

</table>



## Current Stage of Heco
In December 2020, the HECO Chain, Heco officially launched its "Tinder" phase, which will focus on improving the on-chain infrastructure, including but not limited to:
Oracles, Voting tools, Anchor Coins, DEX, Lending, Financial Management, Insurance, Synthetic Assets, Cross-Chain Solutions, Data Analysis, Smart Contract Innovation, etc.
In October 2021, HECO has now entered the "Spark" phase, which focuses on improving developer and user experience and infrastructure.

## Support Plan of Heco
### Financial Support
- Heco will set up a special fund to invest, support and incentivize high-potential developers.
- Heco will launch a variety of developer activities and competitions to discover and fund potential developers. 
- In order to reduce the cost of users on Heco Dapp, the Heco meta transaction function will reduce the gas fee of users holding HT in a step-wise manner.

### Resource Support
- Projects or developers that have received investment and support from Heco have not only the opportunity to get official news report, but also can apply for marketing service packages and promote their projects globally.
- High-quality projects can participate in Heco global roadshows for free.
- Huobi ventures HECO fund will open up ecological resources to high-potential developers, matching the win-win cooperation between developers and our ecological partners.

### Participate in Test Environment of Heco

#### Official Website
www.hecochain.com

#### Public Testnet
chainid 256

#### PRC

wss://ws-testnet.hecochain.com
https://http-testnet.hecochain.com

#### Blockchain Explorer

https://scan-testnet.hecochain.com

#### Test Coin Faucet

https://scan-testnet.hecochain.com/faucet


#### Technical Support Email

DevContacts@hecochain.com


## Interact with Us on Social Media

- Twitter: https://twitter.com/HECO_Chain
- Telegram Channel: https://t.me/Huobiecochainofficial
- Medium: https://medium.com/heco-chain
- GitHub: https://github.com/stars-labs/
- HECO Explorer: https://hecoinfo.com
- Documentation: https://docs.hecochain.com/#/en-us/intro
- Website: https://www.hecochain.com/en-us/


## Risk Warning
- All users and developers can participate in the current test environment and subsequent stages of Heco for free, and there is no charging scenario.
- All users must distinguish the test environment from the Mainnet. The assets generated in the test environment have no value. Be aware of counterfeit currency fraud.
- Heco announces authorization, promotion and other collaborations only through the official social media platform. Developers and users should check carefully to avoid losses.
- Do not misread the official website (hecochain.com), and be cautious with private key phishing.
